XMLValidateContext (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.XMLValidateContext interface
Date: 2026-01-21

compact3
javax.xml.crypto.dsig

## Interface XMLValidateContext

- All Superinterfaces:
    XMLCryptoContext
  All Known Implementing Classes:
    DOMValidateContext

      public interface XMLValidateContext
      extends XMLCryptoContext

  Contains context information for validating XML Signatures. This interface is primarily intended for type-safety.

  Note that `XMLValidateContext` instances can contain information and state specific to the XML signature structure it is used with. The results are unpredictable if an `XMLValidateContext` is used with different signature structures (for example, you should not use the same `XMLValidateContext` instance to validate two different `XMLSignature` objects).

  Supported Properties

  The following properties can be set by an application using the `setProperty` method.

  - `javax.xml.crypto.dsig.cacheReference`: value must be a `Boolean`. This property controls whether or not the `Reference.validate` method will cache the dereferenced content and pre-digested input for subsequent retrieval via the `Reference.getDereferencedData` and `Reference.getDigestInputStream` methods. The default value if not specified is `Boolean.FALSE`.
  Since:
    1.6
  See Also:
    `XMLSignature.validate(XMLValidateContext)`, `Reference.validate(XMLValidateContext)`

- - ### Method Summary

    - ### Methods inherited from interface javax.xml.crypto.XMLCryptoContext

      `get, getBaseURI, getDefaultNamespacePrefix, getKeySelector, getNamespacePrefix, getProperty, getURIDereferencer, put, putNamespacePrefix, setBaseURI, setDefaultNamespacePrefix, setKeySelector, setProperty, setURIDereferencer`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.